# Tasks necessary to create a full cache server from scratch

- hosts: artifacts
  become: yes
  tasks:
  - include_vars: variables.yml
  - include_tasks: docker.yml
  handlers:
  - name: restart docker
    systemd:
      name: docker
      state: restarted

- hosts: artifacts
  become: yes
  become_user: docker
  become_method: su
  tasks:
  - include_vars: variables.yml
  - include_tasks: artifacts.yml

- hosts: artifacts
  become: yes
  tasks:
  - include_vars: variables.yml
  - include_tasks: firewall.yml